Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 473)
+++ admin/auth.php	(revision 550)
@@ -334,9 +334,9 @@
 	echo
 	'<fieldset><legend>'.__('Request a new password').'</legend>'.
-	'<p><label for="user_id">'.__('Username:').' '.
-	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</label></p>'.
-	
-	'<p><label for="user_email">'.__('Email:').' '.
-	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email)).'</label></p>'.
+	'<p><label for="user_id">'.__('Username:').'</label> '.
+	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</p>'.
+	
+	'<p><label for="user_email">'.__('Email:').'</label> '.
+	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email)).'</p>'.
 	
 	'<p><input type="submit" value="'.__('recover').'" />'.
@@ -351,9 +351,9 @@
 	echo
 	'<fieldset><legend>'.__('Change your password').'</legend>'.
-	'<p><label for="new_pwd">'.__('New password:').' '.
-	form::password(array('new_pwd','new_pwd'),20,255).'</label></p>'.
-	
-	'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
-	form::password(array('new_pwd_c','new_pwd_c'),20,255).'</label></p>'.
+	'<p><label for="new_pwd">'.__('New password:').'</label> '.
+	form::password(array('new_pwd','new_pwd'),20,255).'</p>'.
+	
+	'<p><label for="new_pwd_c">'.__('Confirm password:').'</label> '.
+	form::password(array('new_pwd_c','new_pwd_c'),20,255).'</p>'.
 	'</fielset>'.
 	
@@ -369,7 +369,6 @@
 	else
 	{
-		echo
-		'<fieldset>';
 		if ($safe_mode) {
+			echo '<fieldset>';
 			echo '<legend>'.__('Safe mode login').'</legend>';
 			echo 
@@ -379,13 +378,18 @@
 				'</p>';
 		}
+		else {
+			echo '<div class="fieldset">';
+		}
+
 		echo
-		'<p><label for="user_id">'.__('Username:').' '.
-		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</label></p>'.
-		
-		'<p><label for="user_pwd">'.__('Password:').' '.
-		form::password(array('user_pwd','user_pwd'),20,255).'</label></p>'.
-		
-		'<p><label for="user_remember" class="classic">'.
-		form::checkbox(array('user_remember','user_remember'),1).' '.
+		'<p><label for="user_id">'.__('Username:').'</label> '.
+		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id)).'</p>'.
+		
+		'<p><label for="user_pwd">'.__('Password:').'</label> '.
+		form::password(array('user_pwd','user_pwd'),20,255).'</p>'.
+		
+		'<p>'.
+		form::checkbox(array('user_remember','user_remember'),1).
+		'<label for="user_remember" class="classic">'.
 		__('Remember my ID on this computer').'</label></p>'.
 		
@@ -396,9 +400,12 @@
 		}
 		if($safe_mode) {
-			echo form::hidden('safe_mode',1);
-		}
-		
+			echo 
+			form::hidden('safe_mode',1).
+			'</fieldset>';
+		}
+		else {
+			echo '</div>';
+		}
 		echo
-		'</fieldset>'.
 		'<p id="cookie_help" class="error">'.__('You must accept cookies in order to use the private area.').'</p>';
 
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 500)
+++ admin/blog.php	(revision 565)
@@ -72,7 +72,6 @@
 	'<h2><a href="blogs.php">'.__('Blogs').'</a> &rsaquo; <span class="page-title">'.__('New blog').'</span></h2>'.
 	
-	'<form action="blog.php" method="post" id="blog-form">'.
+	'<form action="blog.php" method="post" id="blog-form" class="fieldset">'.
 	
-	'<fieldset><legend>'.__('Blog details').'</legend>'.
 	$core->formNonce().
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
@@ -89,7 +88,6 @@
 	'<p class="area"><label for="blog_desc">'.__('Blog description:').'</label> '.
 	form::textarea('blog_desc',60,5,html::escapeHTML($blog_desc)).'</p>'.
-	'</fieldset>'.
 	
-	'<p><input type="submit" accesskey="s" value="'.__('Save').'" /></p>'.
+	'<p><input type="submit" accesskey="s" value="'.__('Create').'" /></p>'.
 	'</form>';
 
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 500)
+++ admin/blog_pref.php	(revision 557)
@@ -528,5 +528,5 @@
 					echo
 					' - <a href="permissions.php?blog_id[]='.$blog_id.'&amp;user_id[]='.$k.'">'
-					.__('change permissions').'</a>';
+					.__('Change permissions').'</a>';
 				}
 				
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 500)
+++ admin/blog_theme.php	(revision 557)
@@ -194,5 +194,5 @@
 	'<div class="theme-actions">';
 		if ($current && $has_conf) {
-			$res .= '<p><a href="blog_theme.php?conf=1" class="button">'.__('Theme configuration').'</a></p>';
+			$res .= '<p><a href="blog_theme.php?conf=1" class="button">'.__('Configure theme').'</a></p>';
 		}
 		if ($current) {
@@ -269,8 +269,8 @@
 	'<div class="two-cols clear" id="themes-actions">'.
 	$core->formNonce().
-	'<p class="col"><input type="submit" name="select" value="'.__('use selected theme').'" /></p>';
+	'<p class="col"><input type="submit" name="select" value="'.__('Use selected theme').'" /></p>';
 	
 	if ($can_install) {
-		echo '<p class="col right"><input type="submit" class="delete" name="remove" value="'.__('delete selected theme').'" /></p>';
+		echo '<p class="col right"><input type="submit" class="delete" name="remove" value="'.__('Delete selected theme').'" /></p>';
 	}
 	
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 500)
+++ admin/categories.php	(revision 560)
@@ -131,10 +131,10 @@
 while ($rs->fetch()) {
 	echo '<option value="'.$rs->cat_id.'">'.
-		str_repeat('&nbsp;&nbsp;',$rs->level-1).($categories->level-1 == 0 ? '' : '&bull; ').
+		str_repeat('&nbsp;&nbsp;',$rs->level-1).($rs->level-1 == 0 ? '' : '&bull; ').
 		html::escapeHTML($rs->cat_title).'</option>';
 }
 echo
 '</select></label></p>'.
-'<p><input type="submit" value="'.__('Save').'" /></p>'.
+'<p><input type="submit" value="'.__('Create').'" /></p>'.
 $core->formNonce().
 '</fieldset>'.
@@ -167,5 +167,5 @@
 		'<p><label for="del_cat">'.__('Choose a category to remove:').' '.
 		form::combo('del_cat',$deletable).'</label></p> '.
-		'<p><input type="submit" value="'.__('ok').'" /></p>'.
+		'<p><input type="submit" value="'.__('Delete').'" class="delete" /></p>'.
 		$core->formNonce().
 		'</fieldset>'.
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 510)
+++ admin/index.php	(revision 536)
@@ -313,5 +313,5 @@
 		'<h3>'.__('Quick entry').'</h3>'.
 		'<form id="quick-entry" action="post.php" method="post">'.
-		'<fieldset>'.
+		'<fieldset><legend>'.__('New entry').'</legend>'.
 		'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
 		form::field('post_title',20,255,'','maximal').
@@ -325,5 +325,5 @@
 		'<p><input type="submit" value="'.__('Save').'" name="save" /> '.
 		($core->auth->check('publish',$core->blog->id)
-			? '<input type="hidden" value="'.__('save and publish').'" name="save-publish" />'
+			? '<input type="hidden" value="'.__('Save and publish').'" name="save-publish" />'
 			: '').
 		$core->formNonce().
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 473)
+++ admin/install/index.php	(revision 557)
@@ -337,5 +337,5 @@
 	'</fieldset>'.
 	
-	'<p><input type="submit" value="'.__('save').'" /></p>'.
+	'<p><input type="submit" value="'.__('Save').'" /></p>'.
 	'</form>';
 }
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 473)
+++ admin/install/wizard.php	(revision 557)
@@ -182,5 +182,5 @@
 form::field('DBPREFIX',30,255,html::escapeHTML($DBPREFIX)).'</label></p>'.
 
-'<p><input type="submit" value="'.__('Save').'" /></p>'.
+'<p><input type="submit" value="'.__('Continue').'" /></p>'.
 '</form>';
 ?>
Index: admin/js/_users.js
===================================================================
--- admin/js/_users.js	(revision 0)
+++ admin/js/_users.js	(revision 548)
@@ -20,6 +20,8 @@
 			for (i=0; i<user_ids.length; i++) {
 				if (nb_posts[i] > 0) {
-					user_ids[i].checked = false;
-					msg_cannot_delete = true;
+					if (user_ids[i].checked == true) {
+						msg_cannot_delete = true;
+						user_ids[i].checked = false;
+					}
 				}
 			}
Index: admin/js/jquery/jquery.candyUpload.js
===================================================================
--- admin/js/jquery/jquery.candyUpload.js	(revision 3)
+++ admin/js/jquery/jquery.candyUpload.js	(revision 536)
@@ -501,5 +501,5 @@
 			
 			var size = this.formatSize(upldr.params.file_size_limit);
-			$('<div class="cu-maxsize">' + this.locales.max_file_size + ' ' + size + '</div>').appendTo(this.ctrl.block);
+			$('<p class="cu-maxsize form-note info">' + this.locales.max_file_size + ' ' + size + '</p>').appendTo(this.ctrl.block);
 		},
 		
@@ -553,5 +553,5 @@
 					'<div class="cu-fileinfo"><span class="cu-filename">' + o.name + '</span> ' + 
 					'<span class="cu-filesize">(' + this.formatSize(o.size) + ')</span> ' +
-					'<span class="cu-filecancel"><a href="#">cancel</a></span> ' +
+					'<span class="cu-filecancel"><a href="#">cancel</a> </span> ' +
 					'<span class="cu-filemsg"></span>' +
 					'</div>');
Index: admin/js/jsToolBar/jsToolBar.js
===================================================================
--- admin/js/jsToolBar/jsToolBar.js	(revision 0)
+++ admin/js/jsToolBar/jsToolBar.js	(revision 530)
@@ -44,18 +44,15 @@
 	
 	// Dragable resizing (only for gecko)
-	if (this.editor.addEventListener)
+	if (navigator.appName == 'Microsoft Internet Explorer')
 	{
-		this.handle = document.createElement('div');
-		this.handle.className = 'jstHandle';
-		var dragStart = this.resizeDragStart;
-		var This = this;
-		this.handle.addEventListener('mousedown',function(event) { dragStart.call(This,event); },false);
-		// fix memory leak in Firefox (bug #241518)
-		window.addEventListener('unload',function() {
-				var del = This.handle.parentNode.removeChild(This.handle);
-				delete(This.handle);
-		},false);
-		
-		this.editor.parentNode.insertBefore(this.handle,this.editor.nextSibling);
+		if (this.editor.addEventListener)
+		{		
+			this.handle = document.createElement('div');
+			this.handle.className = 'jstHandle';
+			var dragStart = this.resizeDragStart;
+			var This = this;
+			this.handle.addEventListener('mousedown',function(event) { dragStart.call(This,event); },false);
+			this.editor.parentNode.insertBefore(this.handle,this.editor.nextSibling);
+		}
 	}
 	
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 505)
+++ admin/media.php	(revision 557)
@@ -228,6 +228,6 @@
 	'<p>'.sprintf(__('Are you sure you want to remove %s?'),
 	html::escapeHTML($_GET['remove'])).'</p>'.
-	'<p><input type="submit" value="'.__('cancel').'" /> '.
-	' &nbsp; <input type="submit" name="rmyes" value="'.__('yes').'" />'.
+	'<p><input type="submit" value="'.__('Cancel').'" /> '.
+	' &nbsp; <input type="submit" name="rmyes" value="'.__('Yes').'" />'.
 	form::hidden('d',$d).
 	$core->formNonce().
@@ -323,5 +323,5 @@
 	form::hidden(array('popup'),$popup).
 	form::hidden(array('post_id'),$post_id).
-	'<input type="submit" value="'.__('ok').'" /></p>'.
+	'<input type="submit" value="'.__('Sort').'" /></p>'.
 	'</form>'.
 	
@@ -344,10 +344,10 @@
 	
 	echo
-	'<div class="col"><h3 id="add-file">'.__('Add files').'</h3>'.
+	'<div class="col">'.
+	'<fieldset id="add-file-f"><legend>'.__('Add files').'</legend>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'<form id="media-upload" class="clear" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
 	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
 	$core->formNonce().'</div>'.
-	'<fieldset id="add-file-f">'.
 	'<p><label for="upfile">'.__('Choose a file:').
 	' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.
@@ -359,5 +359,5 @@
 	'<p class="form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
 	'<a href="preferences.php?tab=user-options"> '.__('My preferences').'</a></p>'.
-	'<p><input type="submit" value="'.__('send').'" />'.
+	'<p><input type="submit" value="'.__('Send').'" />'.
 	form::hidden(array('d'),$d).'</p>'.
 	'</fieldset>'.
@@ -366,11 +366,12 @@
 	
 	echo
-	'<div class="col"><h3 id="new-dir">'.__('New directory').'</h3>'.
+	'<div class="col">'.
 	'<form class="clear" action="'.html::escapeURL($page_url).'" method="post">'.
 	'<fieldset id="new-dir-f">'.
+	'<legend>'.__('New directory').'</legend>'.
 	$core->formNonce().
 	'<p><label for="newdir">'.__('Directory Name:').
 	form::field(array('newdir','newdir'),35,255).'</label></p>'.
-	'<p><input type="submit" value="'.__('Save').'" />'.
+	'<p><input type="submit" value="'.__('Create').'" />'.
 	form::hidden(array('d'),html::escapeHTML($d)).'</p>'.
 	'</fieldset>'.
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 500)
+++ admin/media_item.php	(revision 557)
@@ -456,5 +456,5 @@
 		'<fieldset><legend>'.__('Update thumbnails').'</legend>'.
 		'<p>'.__('This will create or update thumbnails for this image.').'</p>'.
-		'<p><input type="submit" name="thumbs" value="'.__('update thumbnails').'" />'.
+		'<p><input type="submit" name="thumbs" value="'.__('Update thumbnails').'" />'.
 		form::hidden(array('id'),$id).
 		$core->formNonce().'</p>'.
@@ -480,5 +480,5 @@
 		'<p><label for="inflate_mode" class="classic">'.__('Extract mode:').' '.
 		form::combo('inflate_mode',$inflate_combo,'new').'</label> '.
-		'<input type="submit" name="unzip" value="'.__('extract').'" />'.
+		'<input type="submit" name="unzip" value="'.__('Extract').'" />'.
 		form::hidden(array('id'),$id).
 		$core->formNonce().'</p>'.
@@ -512,5 +512,5 @@
 	'<input type="file" id="upfile" name="upfile" size="35" />'.
 	'</label></p>'.
-	'<p><input type="submit" value="'.__('send').'" />'.
+	'<p><input type="submit" value="'.__('Send').'" />'.
 	form::hidden(array('id'),$id).
 	$core->formNonce().'</p>'.
Index: admin/permissions.php
===================================================================
--- admin/permissions.php	(revision 500)
+++ admin/permissions.php	(revision 536)
@@ -143,5 +143,5 @@
 	
 	echo
-	'<fieldset>'.
+	'<fieldset><legend>'.__('Validate permissions').'</legend>'.
 	'<p><label for="your_pwd">'.__('Your password:').
 	form::password('your_pwd',20,255).'</label></p>'.
Index: admin/permissions_blog.php
===================================================================
--- admin/permissions_blog.php	(revision 500)
+++ admin/permissions_blog.php	(revision 557)
@@ -165,5 +165,5 @@
 		'<p class="checkboxes-helpers"></p>'.
 		
-		'<p><input type="submit" value="'.__('set permissions').'" />'.
+		'<p><input type="submit" value="'.__('Set permissions').'" />'.
 		$hidden_fields.
 		$core->formNonce().'</p>'.
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 500)
+++ admin/popup_posts.php	(revision 557)
@@ -37,5 +37,5 @@
 echo '<form action="popup_posts.php" method="get">'.
 '<p><label for="q" class="classic">'.__('Search entry:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
-' <input type="submit" value="'.__('ok').'" /></p>'.
+' <input type="submit" value="'.__('Search').'" /></p>'.
 '</form>';
 
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 500)
+++ admin/post.php	(revision 559)
@@ -314,4 +314,5 @@
 	$post_excerpt = $post_excerpt_xhtml;
 	$post_content = $post_content_xhtml;
+	$post_title = $post_title_xhtml;
 	$post_format = 'xhtml';
 	
@@ -319,19 +320,14 @@
 }
 
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.'<a href="posts.php">'.__('Entries').'</a> &rsaquo; <span class="page-title">'.$page_title.'</span>';
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.'<a href="posts.php">'.__('Entries').'</a> &rsaquo; <span class="page-title">'.$page_title;
+
+	if ($post_id) {
+		echo ' &ldquo;'.$post_title.'&rdquo;';
+	}
+echo	'</span></h2>';
 
 if ($post_id && $post->post_status == 1) {
-	echo ' - <a id="post-preview" href="'.$post->getURL().'" class="button">'.__('View entry').'</a>';
-} elseif ($post_id) {
-	$preview_url =
-	$core->blog->url.$core->url->getBase('preview').'/'.
-	$core->auth->userID().'/'.
-	http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
-	'/'.$post->post_url;
-	echo ' - <a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview entry').'</a>';
-}
-
-echo '</h2>';
-
+	echo '<p><a href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+}
 if ($post_id)
 {
@@ -361,5 +357,5 @@
 	echo '<form action="post.php" method="post" id="entry-form">';
 	echo '<div id="entry-wrapper">';
-	echo '<div id="entry-content"><fieldset class="constrained">';
+	echo '<div id="entry-content"><div class="constrained">';
 	
 	echo
@@ -388,10 +384,19 @@
 	($post_id ? form::hidden('id',$post_id) : '').
 	'<input type="submit" value="'.__('Save').' (s)" '.
-	'accesskey="s" name="save" /> '.
+	'accesskey="s" name="save" /> ';
+	if ($post_id) {
+		$preview_url =
+		$core->blog->url.$core->url->getBase('preview').'/'.
+		$core->auth->userID().'/'.
+		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
+		'/'.$post->post_url;
+		echo '<a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview').'</a> ';
+	}
+	echo
 	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
 	$core->formNonce().
 	'</p>';
 	
-	echo '</fieldset></div>';		// End #entry-content
+	echo '</div></div>';		// End #entry-content
 	echo '</div>';		// End #entry-wrapper
 
@@ -538,5 +543,5 @@
 	
 	'<form action="comment.php" method="post" id="comment-form">'.
-	'<fieldset class="constrained">'.
+	'<div class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
@@ -559,5 +564,5 @@
 	$core->formNonce().
 	'<input type="submit" name="add" value="'.__('Save').'" /></p>'.
-	'</fieldset>'.
+	'</div>'.
 	'</form>'.
 	'</div>';
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 500)
+++ admin/post_media.php	(revision 557)
@@ -66,6 +66,6 @@
 		'<form action="post_media.php" method="post">'.
 		'<p>'.__('Are you sure you want to remove this attachment?').'</p>'.
-		'<p><input type="submit" class="reset" value="'.__('cancel').'" /> '.
-		' &nbsp; <input type="submit" class="delete" name="remove" value="'.__('yes').'" />'.
+		'<p><input type="submit" class="reset" value="'.__('Cancel').'" /> '.
+		' &nbsp; <input type="submit" class="delete" name="remove" value="'.__('Yes').'" />'.
 		form::hidden('post_id',$post_id).
 		form::hidden('media_id',$media_id).
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 500)
+++ admin/preferences.php	(revision 590)
@@ -44,5 +44,6 @@
 $default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'user-profile';
 
-if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || !empty($_GET['replaced'])) {
+if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || 
+	!empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction'])) {
 	$default_tab = 'user-favorites';
 } elseif (!empty($_GET['updated'])) {
@@ -122,5 +123,6 @@
 
 # Update user options
-if (isset($_POST['user_post_format'])) {
+if (isset($_POST['user_post_format'])) 
+{
 	try
 	{
@@ -175,23 +177,75 @@
 
 # Add selected favorites
-if (!empty($_POST['appendaction']) && !empty($_POST['append'])) {
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	$user_favs = $ws->DumpLocalPrefs();
-	$count = count($user_favs);
-	foreach ($_POST['append'] as $k => $v)
-	{
+if (!empty($_POST['appendaction'])) 
+{
+	try {
+		if (empty($_POST['append'])) {
+			throw new Exception(__('No favorite selected'));
+		}
+
+		$ws = $core->auth->user_prefs->addWorkspace('favorites');
+		$user_favs = $ws->DumpLocalPrefs();
+		$count = count($user_favs);
+		foreach ($_POST['append'] as $k => $v)
+		{
+			try {
+				$found = false;
+				foreach ($user_favs as $f) {
+					$f = unserialize($f['value']);
+					if ($f['name'] == $v) {
+						$found = true;
+						break;
+					}
+				}
+				if (!$found) {
+					$uid = sprintf("u%03s",$count);
+					$fav = array('name' => $_fav[$v][0],'title' => $_fav[$v][1],'url' => $_fav[$v][2],'small-icon' => $_fav[$v][3],
+						'large-icon' => $_fav[$v][4],'permissions' => $_fav[$v][5],'id' => $_fav[$v][6],'class' => $_fav[$v][7]);
+					$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
+					$count++;
+				}
+			} catch (Exception $e) {
+				$core->error->add($e->getMessage());
+				break;
+			}
+		}
+	
+		if (!$core->error->flag()) {
+			http::redirect('preferences.php?append=1');
+		}
+	} catch (Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+}
+
+# Delete selected favorites
+if (!empty($_POST['removeaction']))
+{
+	try {
+		if (empty($_POST['remove'])) {
+			throw new Exception(__('No favorite selected'));
+		}
+		
+		$ws = $core->auth->user_prefs->addWorkspace('favorites');
+		foreach ($_POST['remove'] as $k => $v)
+		{
+			try {
+				$core->auth->user_prefs->favorites->drop($v);
+			} catch (Exception $e) {
+				$core->error->add($e->getMessage());
+				break;
+			}
+		}
+		// Update pref_id values
 		try {
-			$found = false;
-			foreach ($user_favs as $f) {
-				$f = unserialize($f['value']);
-				if ($f['name'] == $v) {
-					$found = true;
-					break;
-				}
-			}
-			if (!$found) {
+			$user_favs = $ws->DumpLocalPrefs();
+			$core->auth->user_prefs->favorites->dropAll();
+			$count = 0;
+			foreach ($user_favs as $k => $v)
+			{
 				$uid = sprintf("u%03s",$count);
-				$fav = array('name' => $_fav[$v][0],'title' => $_fav[$v][1],'url' => $_fav[$v][2],'small-icon' => $_fav[$v][3],
-					'large-icon' => $_fav[$v][4],'permissions' => $_fav[$v][5],'id' => $_fav[$v][6],'class' => $_fav[$v][7]);
+				$f = unserialize($v['value']);
+				$fav = array('name' => $f['name'],'title' => $f['title'],'url' => $f['url'],'small-icon' => $f['small-icon'],
+					'large-icon' => $f['large-icon'],'permissions' => $f['permissions'],'id' => $f['id'],'class' => $f['class']);
 				$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
 				$count++;
@@ -199,45 +253,11 @@
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
-			break;
-		}
-	}
+		}
 	
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?append=1');
-	}
-}
-
-# Delete selected favorites
-if (!empty($_POST['removeaction']) && !empty($_POST['remove'])) {
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	foreach ($_POST['remove'] as $k => $v)
-	{
-		try {
-			$core->auth->user_prefs->favorites->drop($v);
-		} catch (Exception $e) {
-			$core->error->add($e->getMessage());
-			break;
-		}
-	}
-	// Update pref_id values
-	try {
-		$user_favs = $ws->DumpLocalPrefs();
-		$core->auth->user_prefs->favorites->dropAll();
-		$count = 0;
-		foreach ($user_favs as $k => $v)
-		{
-			$uid = sprintf("u%03s",$count);
-			$f = unserialize($v['value']);
-			$fav = array('name' => $f['name'],'title' => $f['title'],'url' => $f['url'],'small-icon' => $f['small-icon'],
-				'large-icon' => $f['large-icon'],'permissions' => $f['permissions'],'id' => $f['id'],'class' => $f['class']);
-			$core->auth->user_prefs->favorites->put($uid,serialize($fav),'string');
-			$count++;
+		if (!$core->error->flag()) {
+			http::redirect('preferences.php?removed=1');
 		}
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
-	}
-	
-	if (!$core->error->flag()) {
-		http::redirect('preferences.php?removed=1');
 	}
 }
@@ -387,9 +407,7 @@
 	'</fieldset>'.
 	
-	'<fieldset>'.
-	'<p>'.__('If you want to change your email or password you must provide your current password.').'</p>'.
+	'<p>'.__('If you have changed this user email or password you must provide your current password to save these modifications.').'</p>'.
 	'<p><label for="cur_pwd">'.__('Your password:').
-	form::password('cur_pwd',20,255).'</label></p>'.
-	'</fieldset>';
+	form::password('cur_pwd',20,255).'</label></p>';
 }
 
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 500)
+++ admin/search.php	(revision 557)
@@ -75,10 +75,10 @@
 '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Search').'</span></h2>'.
 '<form action="search.php" method="get">'.
-'<fieldset><legend>'.__('Search options').'</legend>'.
-'<p><label for="q" class="classic">'.__('Query:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
-'<label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('search entries').'</label> '.
-'<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('search comments').'</label> '.
-' <input type="submit" value="'.__('ok').'" /></p>'.
-'</fieldset>'.
+'<div class="fieldset"><h3>'.__('Search options').'</h3>'.
+'<p><label for="q">'.__('Query:').' </label>'.form::field('q',30,255,html::escapeHTML($q)).'</p>'.
+'<p><label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('Search entries').'</label> '.
+'<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('Search comments').'</label></p>'.
+'</p><input type="submit" value="'.__('Search').'" /></p>'.
+'</div>'.
 '</form>';
 
Index: admin/style/candyUpload/style.css
===================================================================
--- admin/style/candyUpload/style.css	(revision 3)
+++ admin/style/candyUpload/style.css	(revision 536)
@@ -1,33 +1,27 @@
 
-div.cu-ctrl {
+.cu-ctrl {
 	background: #f5f5f5;
-	padding: 5px 0 0 0;
+	padding: .5em 0 0 0;
 	margin: 0 0 1em 0;
 	overflow: hidden;
-	border-color: #ccc;
-	border-width: 1px 0;
-	border-style: solid;
 }
-
-div.cu-msg {
-	padding: 0 0.5em;
+.cu-msg {
 	font-weight: bold;
 }
-div.cu-msg.cu-error {
+.cu-msg.cu-error {
 	color: #c00;
 }
-
-div.cu-files {
+.cu-files {
 	padding: 0 0.5em;
 	margin: 10px 0;
 }
-div.cu-file {
+.cu-file {
 	margin: 0 0 8px 0;
 	position: relative;
 }
-div.cu-fileinfo {
+.cu-fileinfo {
 	margin-left: 16px;
 }
-div.cu-fileinfo span.cu-filecancel {
+.cu-fileinfo span.cu-filecancel {
 	display: block;
 	position: absolute;
@@ -36,5 +30,5 @@
 	left: -16px;
 }
-div.cu-files span.cu-filecancel a {
+.cu-filecancel a {
 	display: block;
 	width: 12px;
@@ -45,16 +39,15 @@
 	outline: none;
 }
-div.cu-files span.cu-filemsg {
+.cu-filemsg {
 	font-weight: bold;
 	color: green;
 }
-div.cu-files span.cu-filemsg.cu-error {
+span.cu-filemsg.cu-error {
 	color: #c00;
 }
-
-div.cu-progress {
+.cu-progress {
 	margin-left: 16px;
 }
-div.cu-progress div {
+.cu-progress div {
 	height: 10px;
 	width: 0;
@@ -69,6 +62,5 @@
 	-moz-border-radius: 2px;
 }
-
-div.cu-btn {
+.cu-btn {
 	padding: 0 0.5em;
 	line-height: 1.2em;
@@ -77,20 +69,23 @@
 	position: relative;
 }
-div.cu-btn span {
+.cu-btn span {
 	display: block;
-	margin: 0 0 0 .5em;
+	margin: 0 1em 0 0;
 	float: right;
 }
-div.cu-btn span a {
+.cu-btn span a {
 	display: block;
 	padding: .3em 1.5em;
 }
-div.cu-btn span.cu-btn-browse {
+span.cu-btn-browse {
 	float: none;
 	position: absolute;
-	left: 0.5em;
+	left: 0;
 	margin: 0;
 }
-div.cu-btn span.cu-btn-upload a.button {
+span.cu-btn-upload, span.cu-btn-clean {
+	margin-right: 0;
+}
+span.cu-btn-upload a.button {
 	color: #fff;
 	border: 1px solid #2373A8;
@@ -99,5 +94,6 @@
 	background: -moz-linear-gradient(top,  #2C8FD1,  #2373A8);
 }
-div.cu-btn span.cu-btn-upload a.button:hover, div.cu-btn span.cu-btn-upload a.button:focus {
+span.cu-btn-upload a.button:hover, 
+span.cu-btn-upload a.button:focus {
 	color: #fff;
 	border: 1px solid #2C8FD1;
@@ -107,11 +103,10 @@
 	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#2373A8', endColorstr='#2C8FD1');
 }
-div.cu-maxsize {
+.cu-maxsize.form-note {
 	clear: both;
-	margin: .75em 0 0 0.5em;
+	margin: 1.5em 0 0;
 	font-style: italic;
 }
-
-div.cu-disable {
+.cu-disable {
 	margin: 1em 0;
 	padding: 0 0 0.5em 0.5em;
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 579)
+++ admin/style/default.css	(revision 565)
@@ -372,5 +372,5 @@
 	margin-left: .5em;
 }
-#login-screen fieldset {
+#login-screen fieldset, #login-screen .fieldset {
 	border: 1px solid #999;
 	padding: 1em 1em 0 1em;
@@ -426,18 +426,4 @@
 	text-decoration: underline;
 }
-/* test
-#icons img {
-	padding: 8px;
-	background: #e5e5e5;
-	border: 1px solid #d9d9d9;
-	border-radius: 5px;
-	-webkit-box-shadow: 0px 1px 3px #ccc;
-	-moz-box-shadow: 0px 1px 3px #ccc;
-	box-shadow: 0px 1px 3px #ccc;
-}
-#icons a:hover img {
-	background: #bbb;
-}*/
-
 #quick {
 	clear: left;
@@ -932,4 +918,8 @@
 /* -------------------------------------------------------------------- CLASSES COMMUNES */
 
+.no-margin {
+	margin: 0;
+}
+
 /* paragraphe pour bouton Nouveau bidule */
 p.top-add {
@@ -1024,4 +1014,12 @@
 	background: #ddd;
 }
+caption {
+	color: #333;
+	font-size: 1.2em;
+	font-weight: bold;
+	text-align: left;
+	margin-bottom: .5em;
+}
+
 th, td {
 	border-width: 0 0 1px 0;
@@ -1093,5 +1091,5 @@
 	padding: 0;
 }
-fieldset {
+fieldset, .fieldset {
 	display: block;
 	margin: 0 0 1em 0;
@@ -1182,4 +1180,5 @@
 	display: block;
 	width: 100%;
+	resize: vertical;
 }
 label.required {
@@ -1209,4 +1208,7 @@
 label .maximal, textarea.maximal, input.maximal {
 	width: 100%;
+}
+textarea.maximal {
+	resize: vertical;
 }
 
@@ -1218,5 +1220,5 @@
 	padding-left: 20px;
 }
-fieldset.constrained {
+.constrained {
 	margin: 0;
 	padding: 0;
@@ -1244,5 +1246,5 @@
 	text-align: center;
 	text-decoration: none;
-	padding: .1em .5em;
+	padding: .1em .5em 0 .5em;
 	text-shadow: 0 1px 1px rgba(0,0,0,.3);
 	-webkit-border-radius: .2em;
@@ -1304,4 +1306,8 @@
 input[type=submit].delete {
 	color: #c00;
+	padding-bottom: .1em;
+}
+#entry-content .delete {
+	margin-left: 1em;
 }
 a.delete:hover,
@@ -1329,7 +1335,7 @@
 	border-radius: .5em;
 	margin-bottom: .1em;	
-	background: #2C8FD1 url(add.png) no-repeat .2em center;
+	background: #2C8FD1 url(add.png) no-repeat 6px center;
 	color: #fff;
-	padding: .1em 1em .2em 28px;
+	padding: .2em 16px .2em 30px;
 	border: 1px solid #2373A8;
 }
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 501)
+++ admin/user.php	(revision 557)
@@ -154,5 +154,9 @@
 			$core->callBehavior('adminAfterUserCreate',$cur,$new_id);
 			
-			http::redirect('user.php?id='.$new_id.'&add=1');
+			if (!empty($_POST['saveplus'])) {
+				http::redirect('user.php?add=1');
+			} else {
+				http::redirect('user.php?id='.$new_id.'&add=1');
+			}
 		}
 	}
@@ -273,10 +277,9 @@
 
 echo
-'<fieldset>'.
 '<p><label for="your_pwd" '.($user_id != '' ? '' : 'class="required"').'>'.
 ($user_id != '' ? '' : '<abbr title="'.__('Required field').'">*</abbr> ').__('Your password:').
 form::password('your_pwd',20,255).'</label></p>'.
-'</fieldset>'.
-'<p class="clear"><input type="submit" accesskey="s" value="'.__('Save').'" />'.
+'<p class="clear"><input type="submit" name="save" accesskey="s" value="'.__('Save').'" />'.
+($user_id != '' ? '' : ' <input type="submit" name="saveplus" value="'.__('Save and create another').'" />').
 ($user_id != '' ? form::hidden('id',$user_id) : '').
 $core->formNonce().
@@ -287,5 +290,5 @@
 if ($user_id)
 {
-	echo '<fieldset class="clear"><legend>'.__('Permissions').'</legend>';
+	echo '<div class="clear fieldset"><h3>'.__('Permissions').'</h3>';
 	
 	$permissions = $core->getUserPermissions($user_id);
@@ -305,5 +308,5 @@
 				html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).') - '.
 				'<a href="permissions.php?blog_id[]='.$k.'&amp;user_id[]='.$user_id.'">'
-				.__('change permissions').'</a></h4>';
+				.__('Change permissions').'</a></h4>';
 				
 				echo '<ul>';
@@ -321,5 +324,5 @@
 	'<p><a href="permissions_blog.php?user_id[]='.$user_id.'">'.
 	__('Add new permissions').'</a></p>'.
-	'</fieldset>';
+	'</div>';
 }
 
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 501)
+++ admin/users.php	(revision 565)
@@ -59,5 +59,5 @@
 );
 
-# --BEHAVIOR-- adminUser	sActionsCombo
+# --BEHAVIOR-- adminUsersActionsCombo
 $core->callBehavior('adminUsersActionsCombo',array(&$combo_action));
 
